import React, { Component } from 'react';
import ApiService from '../../services/ApiService';
import ChannelList from './ChannelList';

class Channels extends Component<{}, ChannelState> {
  constructor(props: any) {
    super(props);
    this.state = {
      loaded: false,
      channels: [],
      clients: [],
    };
  }

  componentDidMount() {
    ApiService.fetchAllChannels()
      .then(data => {
        this.setState({
          channels: data.channelJson,
          clients: data.clientJson,
          loaded: true,
        });
      })
      .catch(e => console.error(e));
  }
  render() {
    const { loaded, channels, clients } = this.state;
    if (!loaded) return <div className='loading'>Loading...</div>;
    else {
      return <ChannelList channels={channels} clients={clients} />;
    }
  }
}

export default Channels;
